- Added
- Changed
Version v1.73.0 to v1.74.0
Summary of Changes
6 - New
38 - Updated
856 - Total Endpoints
582 - Total Paths
Added
[ campusGateway ]
ssids
Update the mDNS gateway settings and rules for a SSID and cluster
Operation ID: updateNetworkCampusGatewaySsidMdns
PATH /networks/{networkId}/campusGateway/ssids/{number}/mdns
- Path added
- New endpoint
PUT
/networks/{networkId}/campusGateway/ssids/{number}/mdns
[ devices ]
wireless
Return the radio overrides of a device
Operation ID: getDeviceWirelessRadioOverrides
PATH /devices/{serial}/wireless/radio/overrides
- Path added
- New endpoint
GET
/devices/{serial}/wireless/radio/overrides
Update 2.4 GHz, 5 GHz, and 6 GHz radio settings (channel, channel width, power, and enable/disable) that override RF profiles
Operation ID: updateDeviceWirelessRadioOverrides
PATH /devices/{serial}/wireless/radio/overrides
- Path added
- New endpoint
PUT
/devices/{serial}/wireless/radio/overrides
[ organizations ]
campusGateway
Update MCG cluster-network tunnel settings for multiple networks
Operation ID: batchOrganizationCampusGatewayClustersTunnelingUpdate
PATH /organizations/{organizationId}/campusGateway/clusters/tunneling/batchUpdate
- Path added
- New endpoint
POST
/organizations/{organizationId}/campusGateway/clusters/tunneling/batchUpdate
List all the MCG cluster-network tunnel settings
Operation ID: getOrganizationCampusGatewayClustersTunnelingByClusterByNetwork
PATH /organizations/{organizationId}/campusGateway/clusters/tunneling/byCluster/byNetwork
- Path added
- New endpoint
GET
/organizations/{organizationId}/campusGateway/clusters/tunneling/byCluster/byNetwork
wireless
Return a list of radio overrides
Operation ID: getOrganizationWirelessRadioOverridesByDevice
PATH /organizations/{organizationId}/wireless/radio/overrides/byDevice
- Path added
- New endpoint
GET
/organizations/{organizationId}/wireless/radio/overrides/byDevice
Changed
[ administered ]
licensing
Retrieve the list of purchasable entitlements
Operation ID: getAdministeredLicensingSubscriptionEntitlements
GET /administered/licensing/subscription/entitlements
- added the new optional
queryrequest parametersubscriptionType
[ appliance ]
interfaces
Update wired L3 interface
Operation ID: updateNetworkApplianceInterfacesL3
PUT /networks/{networkId}/appliance/interfaces/l3/{interfaceId}
- the request property
portbecame nullable
singleLan
Return single LAN configuration
Operation ID: getNetworkApplianceSingleLan
GET /networks/{networkId}/appliance/singleLan
- added the optional property
vrfto the response with the200status
Update single LAN configuration
Operation ID: updateNetworkApplianceSingleLan
PUT /networks/{networkId}/appliance/singleLan
- added the new optional request property
vrf
- added the optional property
vrfto the response with the200status
ssids
Update the attributes of an MX SSID
Operation ID: updateNetworkApplianceSsid
PUT /networks/{networkId}/appliance/ssids/{number}
- added the new
8021x-nacenum value to the request propertyauthMode
trafficShaping
Show uplink selection settings for an MX network
Operation ID: getNetworkApplianceTrafficShapingUplinkSelection
GET /networks/{networkId}/appliance/trafficShaping/uplinkSelection
- added the optional property
vpnTrafficUplinkPreferences/items/vrfto the response with the200status
- added the optional property
wanTrafficUplinkPreferences/items/vrfto the response with the200status
Update uplink selection settings for an MX network
Operation ID: updateNetworkApplianceTrafficShapingUplinkSelection
PUT /networks/{networkId}/appliance/trafficShaping/uplinkSelection
- added the new optional request property
vpnTrafficUplinkPreferences/items/vrf
- added the new optional request property
wanTrafficUplinkPreferences/items/vrf
- added the optional property
vpnTrafficUplinkPreferences/items/vrfto the response with the200status
- added the optional property
wanTrafficUplinkPreferences/items/vrfto the response with the200status
vlans
Add a VLAN
Operation ID: createNetworkApplianceVlan
POST /networks/{networkId}/appliance/vlans
- the request property
ipv6/prefixAssignments/items/disabledbecame optional
vpn
Return a Hub BGP Configuration
Operation ID: getNetworkApplianceVpnBgp
GET /networks/{networkId}/appliance/vpn/bgp
- added the optional property
neighbors/items/vrfto the response with the200status
Update a Hub BGP Configuration
Operation ID: updateNetworkApplianceVpnBgp
PUT /networks/{networkId}/appliance/vpn/bgp
- added the optional property
neighbors/items/vrfto the response with the200status
[ devices ]
appliance
Update configurations for an appliance's specified port
Operation ID: createDeviceApplianceInterfacesPortsUpdate
POST /devices/{serial}/appliance/interfaces/ports/update
- added the new
access-managerenum value to thedownlink/access/policy/typeresponse property for the response status200
- added the new
access-managerenum value to the request propertydownlink/access/policy/type
liveTools
Enqueue a job to perform a routing table lookup request for a device
Operation ID: createDeviceLiveToolsRoutingTableLookup
POST /devices/{serial}/liveTools/routingTable/lookups
- added the new optional request property
vrf
- added the optional property
request/vrfto the response with the201status
Return a routing table live tool lookup job for a device
Operation ID: getDeviceLiveToolsRoutingTableLookup
GET /devices/{serial}/liveTools/routingTable/lookups/{id}
- added the optional property
entries/items/nextHops/items/vlanto the response with the200status
- added the optional property
request/vrfto the response with the200status
switch
List the switch ports for a switch
Operation ID: getDeviceSwitchPorts
GET /devices/{serial}/switch/ports
- added the optional property
items/fastPoeto the response with the200status
- added the optional property
items/perpetualPoeto the response with the200status
Return a switch port
Operation ID: getDeviceSwitchPort
GET /devices/{serial}/switch/ports/{portId}
- added the optional property
fastPoeto the response with the200status
- added the optional property
perpetualPoeto the response with the200status
Update a switch port
Operation ID: updateDeviceSwitchPort
PUT /devices/{serial}/switch/ports/{portId}
- added the new optional request property
fastPoe
- added the new optional request property
perpetualPoe
- added the optional property
fastPoeto the response with the200status
- added the optional property
perpetualPoeto the response with the200status
[ firmwareUpgrades ]
staged
Get the Staged Upgrade Event from a network
Operation ID: getNetworkFirmwareUpgradesStagedEvents
GET /networks/{networkId}/firmwareUpgrades/staged/events
- added the optional property
products/switchCatalystto the response with the200status
Create a Staged Upgrade Event for a network
Operation ID: createNetworkFirmwareUpgradesStagedEvent
POST /networks/{networkId}/firmwareUpgrades/staged/events
- added the optional property
products/switchCatalystto the response with the200status
Update the Staged Upgrade Event for a network
Operation ID: updateNetworkFirmwareUpgradesStagedEvents
PUT /networks/{networkId}/firmwareUpgrades/staged/events
- added the new optional request property
products
- added the optional property
products/switchCatalystto the response with the200status
Postpone by 1 week all pending staged upgrade stages for a network
Operation ID: deferNetworkFirmwareUpgradesStagedEvents
POST /networks/{networkId}/firmwareUpgrades/staged/events/defer
- added the optional property
products/switchCatalystto the response with the200status
Rollback a Staged Upgrade Event for a network
Operation ID: rollbacksNetworkFirmwareUpgradesStagedEvents
POST /networks/{networkId}/firmwareUpgrades/staged/events/rollbacks
- added the optional property
products/switchCatalystto the response with the200status
[ organizations ]
api
Retrieves pipeline overviews with aggregated job status counts
Operation ID: getOrganizationApiRestProvisioningPipelinesJobsOverviewsByPipeline
GET /organizations/{organizationId}/api/rest/provisioning/pipelines/jobs/overviews/byPipeline
- added the new
bulk update region workflowenum value to theitems/items/counts/byJobOperation/items/nameresponse property for the response status200
appliance
Returns port configurations for appliances in a given organization
Operation ID: getOrganizationApplianceDevicesInterfacesPortsByDevice
GET /organizations/{organizationId}/appliance/devices/interfaces/ports/byDevice
- added the new
access-managerenum value to theitems/items/ports/items/downlink/access/policy/typeresponse property for the response status200
Return the third party VPN peers for an organization
Operation ID: getOrganizationApplianceVpnThirdPartyVPNPeers
GET /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers
- added the new
awsenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
azureenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
defaultenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
secureenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
umbrellaenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
umbrella_short_livedenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
zscalerenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
Update the third party VPN peers for an organization
Operation ID: updateOrganizationApplianceVpnThirdPartyVPNPeers
PUT /organizations/{organizationId}/appliance/vpn/thirdPartyVPNPeers
- request property
peers/items/ipsecPoliciesPresetwas restricted to a list of enum values
- added the new
awsenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
azureenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
defaultenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
secureenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
umbrellaenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
umbrella_short_livedenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
zscalerenum value to thepeers/items/ipsecPoliciesPresetresponse property for the response status200
- added the new
awsenum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
azureenum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
defaultenum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
secureenum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
umbrellaenum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
umbrella_short_livedenum value to the request propertypeers/items/ipsecPoliciesPreset
- added the new
zscalerenum value to the request propertypeers/items/ipsecPoliciesPreset
assurance
Return all health alerts for an organization
Operation ID: getOrganizationAssuranceAlerts
GET /organizations/{organizationId}/assurance/alerts
- added the enum value
copp_dropsto the propertyitems/of thequeryrequest parametertypes
- added the enum value
fan_tray_failureto the propertyitems/of thequeryrequest parametertypes
- added the enum value
line_card_insufficient_power_shutdownto the propertyitems/of thequeryrequest parametertypes
- added the enum value
radius_ca_certificate_installationto the propertyitems/of thequeryrequest parametertypes
Return overview of active health alerts for an organization
Operation ID: getOrganizationAssuranceAlertsOverview
GET /organizations/{organizationId}/assurance/alerts/overview
- added the enum value
copp_dropsto the propertyitems/of thequeryrequest parametertypes
- added the enum value
fan_tray_failureto the propertyitems/of thequeryrequest parametertypes
- added the enum value
line_card_insufficient_power_shutdownto the propertyitems/of thequeryrequest parametertypes
- added the enum value
radius_ca_certificate_installationto the propertyitems/of thequeryrequest parametertypes
Return a Summary of Alerts grouped by network and severity
Operation ID: getOrganizationAssuranceAlertsOverviewByNetwork
GET /organizations/{organizationId}/assurance/alerts/overview/byNetwork
- added the enum value
copp_dropsto the propertyitems/of thequeryrequest parametertypes
- added the enum value
fan_tray_failureto the propertyitems/of thequeryrequest parametertypes
- added the enum value
line_card_insufficient_power_shutdownto the propertyitems/of thequeryrequest parametertypes
- added the enum value
radius_ca_certificate_installationto the propertyitems/of thequeryrequest parametertypes
Return a Summary of Alerts grouped by type and severity
Operation ID: getOrganizationAssuranceAlertsOverviewByType
GET /organizations/{organizationId}/assurance/alerts/overview/byType
- added the enum value
copp_dropsto the propertyitems/of thequeryrequest parametertypes
- added the enum value
fan_tray_failureto the propertyitems/of thequeryrequest parametertypes
- added the enum value
line_card_insufficient_power_shutdownto the propertyitems/of thequeryrequest parametertypes
- added the enum value
radius_ca_certificate_installationto the propertyitems/of thequeryrequest parametertypes
Returns historical health alert overviews
Operation ID: getOrganizationAssuranceAlertsOverviewHistorical
GET /organizations/{organizationId}/assurance/alerts/overview/historical
- added the enum value
copp_dropsto the propertyitems/of thequeryrequest parametertypes
- added the enum value
fan_tray_failureto the propertyitems/of thequeryrequest parametertypes
- added the enum value
line_card_insufficient_power_shutdownto the propertyitems/of thequeryrequest parametertypes
- added the enum value
radius_ca_certificate_installationto the propertyitems/of thequeryrequest parametertypes
inventory
Return the device inventory for an organization
Operation ID: getOrganizationInventoryDevices
GET /organizations/{organizationId}/inventory/devices
- added the optional property
items/addressto the response with the200status
Return a single device from the inventory of an organization
Operation ID: getOrganizationInventoryDevice
GET /organizations/{organizationId}/inventory/devices/{serial}
- added the optional property
addressto the response with the200status
Preview the results and status of an order claim by the secure order id
Operation ID: previewOrganizationInventoryOrders
POST /organizations/{organizationId}/inventory/orders/preview
- added the new
bulk_claim_requiredenum value to theresolution/submissionStrategyresponse property for the response status200
- added the new
sync_claimenum value to theresolution/submissionStrategyresponse property for the response status200
- added the new
sync_order_claimenum value to theresolution/submissionStrategyresponse property for the response status200
switch
List the switchports in an organization by switch
Operation ID: getOrganizationSwitchPortsBySwitch
GET /organizations/{organizationId}/switch/ports/bySwitch
- added the required property
items/ports/items/fastPoeto the response with the200status
- added the required property
items/ports/items/perpetualPoeto the response with the200status
[ wireless ]
rfProfiles
List RF profiles for this network
Operation ID: getNetworkWirelessRfProfiles
GET /networks/{networkId}/wireless/rfProfiles
- added the optional property
dot11beto the response with the200status
- added the optional property
fiveGhzSettings/dot11axto the response with the200status
- added the optional property
twoFourGhzSettings/dot11axto the response with the200status
Creates new RF profile for this network
Operation ID: createNetworkWirelessRfProfile
POST /networks/{networkId}/wireless/rfProfiles
- added the new optional request property
dot11be
- added the new optional request property
fiveGhzSettings/dot11ax
- added the new optional request property
twoFourGhzSettings/dot11ax
- added the optional property
dot11beto the response with the201status
- added the optional property
fiveGhzSettings/dot11axto the response with the201status
- added the optional property
twoFourGhzSettings/dot11axto the response with the201status
Return a RF profile
Operation ID: getNetworkWirelessRfProfile
GET /networks/{networkId}/wireless/rfProfiles/{rfProfileId}
- added the optional property
dot11beto the response with the200status
- added the optional property
fiveGhzSettings/dot11axto the response with the200status
- added the optional property
twoFourGhzSettings/dot11axto the response with the200status
Updates specified RF profile for this network
Operation ID: updateNetworkWirelessRfProfile
PUT /networks/{networkId}/wireless/rfProfiles/{rfProfileId}
- added the new optional request property
dot11be
- added the new optional request property
fiveGhzSettings/dot11ax
- added the new optional request property
twoFourGhzSettings/dot11ax
- added the optional property
dot11beto the response with the200status
- added the optional property
fiveGhzSettings/dot11axto the response with the200status
- added the optional property
twoFourGhzSettings/dot11axto the response with the200status